.tooltip {
  $this: &;
  &:hover {
    #{$this}__container {
      visibility: visible;
      opacity: 1;
      transition: all .3s ease;
    }
  }
  &__container {
    background: $color-white-1;
    box-shadow: 0 rem(11) rem(40) rem(13.5) rgba(19, 19, 19, 0.24);
    position: absolute;
    z-index: 83;
    min-width: 15rem;
    max-width: 20rem;
    min-height: 3rem;
    padding: .8rem;
    border-radius: 3px;
    box-sizing: border-box;
    font-size: rem(12);
    line-height: 1.67;
    font-family: arial, sans-serif;
    color: $color-gray-2;
    visibility: hidden;
    opacity: 0;
    transition: all .3s .3s ease;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    &:before {
      content: "";
      position: absolute;
      width: 0;
      height: 0;
    }
    &--right {
      left: 100%;
      margin-left: 1rem;
      top: 50%;
      transform: translate3d(0, -50%, 0);
      &:before{
        right: 100%;
        top: 50%;
        transform: translate3d(0, -50%, 0);
        border-top: 10px solid transparent;
        border-bottom: 10px solid transparent;
        border-right: 10px solid $color-white-1;
      }
    }
    &--left {
      right: 100%;
      margin-right: 1rem;
      top: 50%;
      transform: translate3d(0, -50%, 0);
      &:before{
        left: 100%;
        top: 50%;
        transform: translate3d(0, -50%, 0);
        border-top: 10px solid transparent;
        border-bottom: 10px solid transparent;
        border-left: 10px solid $color-white-1;
      }
    }
    &--top {
      left: 50%;
      bottom: 100%;
      transform: translate3d(-50%, 0, 0);
      margin-bottom: 1rem;
      &:before{
        left: 50%;
        top: 100%;
        transform: translate3d(-50%, 0, 0);
        border-top: 10px solid #fff;
        border-bottom: 10px solid transparent;
        border-right: 10px solid transparent;
        border-left: 10px solid transparent;
      }
    }
    &--bottom {
      left: 50%;
      top: 100%;
      transform: translate3d(-50%, 0, 0);
      margin-top: 1rem;
      &:before{
        left: 50%;
        bottom: 100%;
        transform: translate3d(-50%, 0, 0);
        border-top: 10px solid transparent;
        border-bottom: 10px solid #fff;
        border-right: 10px solid transparent;
        border-left: 10px solid transparent;
      }
    }
  }
}
